
Figure - Bug #118438
【IOVDEV-32213】【内部】【VC1】【0100】【台架】【EE环境】【副屏】副屏弹窗提示“QQ没有响应”
2023-06-01 19:36 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-01

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0100.c103  中控：03.02.0086.C102

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230601  17点06分（ 第232次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）副屏已开启游戏模式，副屏已登录QQ（安装

的27个apk之一）

1.副屏进入QQ拨打语音通话

【实际结果】

未能拨打成功，等一会后弹窗提示“QQ没有响应”

【期望结果】

QQ可以正常进行语音通话

【备注】：

出现此问题后，QQ每次进行语音通话都有此问题。使用微信、飞书、企业微信都可以正常进行语音通话。

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，

副屏log地址：https://ofs.human-horizons.com/#/download/index/entT4%2Ft%2BlOg%3D

【影响版本】：副屏：01.00.0100.c103  中控：03.02.0086.C102

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-06-01 19:37 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118438

#2 - 2023-06-01 23:07 - CDTS-TEST 周婷

- Category set to CD-FW
https://ofs.human-horizons.com/#/download/index/entT4%2Ft%2BlOg%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118438


#3 - 2023-06-02 10:22 - CD FW 曹覃刚

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

Hi 诗雨

这个问题与 #118440 是同件问题, 请确认

qq主线程一直在waiting，这是三方应用的内部代码逻辑，需要三方应用处理

--------------

"main" prio=5 tid=1 Waiting  | group="main" sCount=1 ucsCount=0 flags=1 obj=0x71cf5648 self=0xb400007a09b95380  | sysTid=15191 nice=-10 cgrp=default sched=0/0

handle=0x7bd07604f8  | state=S schedstat=( 543541481 188901549 541 ) utm=39 stm=14 core=3 HZ=100  | stack=0x7fdbe41000-0x7fdbe43000 stackSize=8188KB  | held

mutexes=

  at java.lang.Object.wait(Native method)

  - waiting on <0x0aef39a9> (a java.util.concurrent.atomic.AtomicInteger)

  at java.lang.Object.wait(Object.java:442)

  at java.lang.Object.wait(Object.java:568)

  at mqq.app.MobileQQ.waitAppRuntime(P:10)

  - locked <0x0aef39a9> (a java.util.concurrent.atomic.AtomicInteger)

  at cooperation.qwallet.plugin.impl.QWalletHelperImpl.getAppRuntime(P:1)

  at com.tencent.mobileqq.qwallet.preload.impl.PreloadStaticApiImpl.getResPathSync(P:1)

  at com.tencent.mobileqq.qwallet.preload.c.m(P:1)

  at com.tencent.mobileqq.soload.api.impl.SoLoaderTransitionServiceImpl.getResPathSync(P:5)

  at com.tencent.mobileqq.m3.c.f.l(P:4)

  at com.tencent.mobileqq.m3.c.f.n(P:1)

  at com.tencent.mobileqq.soload.api.impl.e.h(P:3)

  at com.tencent.mobileqq.soload.api.impl.k.r(P:5)

  at com.tencent.mobileqq.soload.api.impl.i.c(P:1)

  at com.tencent.mobileqq.soload.api.impl.SoLoaderServiceImpl.loadSync(P:12)

  at com.tencent.mobileqq.soload.api.impl.SoLoaderServiceImpl.loadSync(P:2)

  at com.tencent.mobileqq.soload.api.SoLoadManager.loadSync(P:1)

  at com.tencent.av.utils.AVSoUtils.z(P:2)

  at com.tencent.av.utils.AVSoUtils.x(P:1)

  at com.tencent.av.utils.AVSoUtils.E(P:4)

  at com.tencent.av.core.b.updateHevcCodecSoDir(P:1)

  at com.tencent.avcore.jni.data.SDKConfigInfo.getDeviceInfo(P:34)

  at com.tencent.av.core.VcControllerImpl.initConfig(P:2)

  at com.tencent.avcore.jni.dav.DavEngineJni.initContext(P:3)

  at com.tencent.avcore.jni.dav.DavEngineProxy.initContext(P:1)

  at com.tencent.av.core.VcControllerImpl.<init>(P:29)

  at com.tencent.av.VideoController.g2(P:7)

  - locked <0x0d233b2e> (a com.tencent.av.VideoController)

  at com.tencent.av.VideoController.J4

  at com.tencent.av.app.VideoAppInterface.S(P:3)

  at com.tencent.av.app.VideoAppInterface.q(P:2)

  at com.tencent.av.app.VideoAppInterface.onCreate(P:27)

  at mqq.app.MobileQQ$5.run(P:35)

  at mqq.app.MobileQQ.createNewRuntime(P:7)

  at mqq.app.MobileQQ.doInit(P:23)

  at com.tencent.mobileqq.startup.step.NewRuntime.doStep(P:26)

  at com.tencent.mobileqq.startup.step.Step.step(P:10)

  at com.tencent.mobileqq.startup.step.Step.doStep(P:3)

  at com.tencent.mobileqq.startup.step.Step.step(P:10)
  at com.tencent.mobileqq.startup.director.StartupDirector.n(P:17)

  at com.tencent.common.app.BaseApplicationImpl.onCreate(P:12)

  at com.tencent.mobileqq.qfix.QFixApplication.onCreate(P:2)

  at android.app.Instrumentation.callApplicationOnCreate(Instrumentation.java:1212)

  at android.app.ActivityThread.handleBindApplication(ActivityThread.java:6744)

  at android.app.ActivityThread.access$1500(ActivityThread.java:248)

  at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2054)

  at android.os.Handler.dispatchMessage(Handler.java:106)

  at android.os.Looper.loopOnce(Looper.java:201)

  at android.os.Looper.loop(Looper.java:288)

  at android.app.ActivityThread.main(ActivityThread.java:7880)

  at java.lang.reflect.Method.invoke(Native method)

  at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

  at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

#4 - 2023-06-02 18:29 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

#5 - 2023-06-02 18:29 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#6 - 2023-06-02 18:29 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

17点06分QQ没有响应.mp4 2.09 MB 2023-06-01 CDTS_Test 吴诗雨
